import { NodeId } from "node-opcua-nodeid";
import { DataType } from "node-opcua-variant";
import { UAVariableT } from "../../source";
import { BaseNode } from "../base_node";
import { UAObject } from "../ua_object";
export interface BaseEventType extends UAObject {
    sourceName: UAVariableT<string, DataType.String>;
    sourceNode: UAVariableT<NodeId, DataType.NodeId>;
}
/**
 * @class BaseEventType
 * @class UAObject
 * @constructor
 */
export declare class BaseEventType extends UAObject {
    /**
     * @method setSourceName
     * @param name
     */
    setSourceName(name: string): void;
    /**
     * @method setSourceNode
     * @param node {NodeId|UAObject}
     */
    setSourceNode(node: NodeId | BaseNode): void;
}
