
import {Figura} from './Figura.js';

class Triangulo extends Figura {
  constructor(id, l1, l2, l3, c) {
    super(c);
  }

  connectedCallback() {
    super.color = this.getAttribute("color");		
    this.lado1 = this.getAttribute("l1");		
    this.lado2 = this.getAttribute("l2");		
    this.lado3 = this.getAttribute("l3");		
	
	this.cy = (Math.pow(this.lado1, 2) + Math.pow(this.lado2, 2) + Math.pow(this.lado3, 2)) / (2*this.lado1);
	this.cx = Math.sqrt(Math.abs(Math.pow(this.lado2, 2) - Math.pow(this.cy, 2)));
	
    this.render();
  }


  area() {
    return (this.lado1 * this.cy) / 2;
  }

  render() {
    let contenido = `
		<svg height="210" width="500">
		  <polygon points="0,0 ${this.lado1},0 ${this.cx},${this.cy}" 
		           style="fill:${this.color}" />
		</svg>	  
    `;

    this.shadowRoot.innerHTML = contenido;
  }
}

customElements.define('wg-triangulo', Triangulo);

export {Triangulo};
