
var opcua = require("node-opcua");
var MessageSecurityMode = require("node-opcua-service-secure-channel").MessageSecurityMode;
var SecurityPolicy = require("node-opcua-secure-channel").SecurityPolicy;
var {OPCUAClient} = require("node-opcua-client");

const connectionStrategy = {
  initialDelay: 1000,
  maxRetry: 1
};

const options = {
  applicationName: "MyClient",
  connectionStrategy: connectionStrategy,
  securityMode: MessageSecurityMode.None,
  securityPolicy: SecurityPolicy.None,
  endpoint_must_exist: false
};

const endpointUrl = "opc.tcp://192.168.254.119:4840";

const nodeToRead = {
  nodeId: 'ns=3;s="DB1002 - LGF_CosinusCI_3"."cosinusValues"',
//  attributeId: AttributeIds.Value
};

async function main() {
//	var client = new opcua.OPCUAClient(options);
	const client = OPCUAClient.create(options);
	await client.connect(endpointUrl);
	const session = await client.createSession();
	const maxAge = 0;
	
	var dataValue = await session.read(nodeToRead, maxAge);
	console.log(" value ", dataValue.value.value);

	for (let i = 0; i < 50; i++) {
		dataValue = await session.read(nodeToRead, maxAge);
		console.log(" value ", dataValue.value.value);
	}
	
	process.exit();
}

main();

